#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkCondition.h"
#include "EDBDBarkTargetObject.h"
#include "DBDBarkCondition_Player.generated.h"

UCLASS(Blueprintable)
class DBDBARK_API UDBDBarkCondition_Player : public UBhvrBarkCondition
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDBarkTargetObject Target;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool Invert;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 ControlMask;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 StateMask;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 LocationMask;

public:
	UDBDBarkCondition_Player();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBarkCondition_Player) { return 0; }
